Name:          python-greenlet
Version:       2.0.0
Release:       1mamba
Summary:       Lightweight in-process concurrent programming
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python-greenlet/greenlet
Source:        https://pypi.debian.net/greenlet/greenlet-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n greenlet-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc}/greenlet \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/greenlet-%{version}-py*.egg-info
%{python_sitearch}/greenlet-%{version}-py*.egg-info/*

%changelog
* Tue Nov 01 2022 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 1.1.3.post0-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Thu Sep 30 2021 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Sat Sep 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- install headers in %python_inc

* Sat Aug 07 2021 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon May 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- rebuilt with distdeps

* Thu May 06 2021 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Oct 07 2020 Automatic Build System <autodist@mambasoft.it> 0.4.17-1mamba
- automatic version update by autodist

* Sun Jun 14 2020 Automatic Build System <autodist@mambasoft.it> 0.4.16-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.15-1mamba
- update to 0.4.15

* Fri Dec 16 2016 Automatic Build System <autodist@mambasoft.it> 0.4.11-1mamba
- automatic version update by autodist

* Sun Jun 12 2016 Automatic Build System <autodist@mambasoft.it> 0.4.10-1mamba
- automatic version update by autodist

* Mon Aug 31 2015 Automatic Build System <autodist@mambasoft.it> 0.4.9-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 0.4.7-1mamba
- automatic version update by autodist

* Sun May 03 2015 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- automatic version update by autodist

* Sun Oct 19 2014 Automatic Build System <autodist@mambasoft.it> 0.4.5-1mamba
- automatic version update by autodist

* Mon Sep 08 2014 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Wed May 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- package created by silvan using the webbuild interface
